Bug 1005406 - Review Request: python-happybase - Python library to interact with Apache HBase
Review Request: python-happybase - Python library to interact with Apache HBase
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On: 1005405
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 16:18 EDT by Dan Prince
Modified: 2014-07-28 22:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-28 22:22:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Dan Prince 2013-09-06 16:18:57 EDT
Spec URL: http://fedorapeople.org/~dprince/python-happybase.spec
SRPM URL: http://fedorapeople.org/~dprince/python-happybase-0.6-1.src.rpm
Description: Python library to interact with Apache HBase
Fedora Account System Username: dprince

This is an upcoming requirement of OpenStack Ceilometer.
Comment 1 Christopher Meng 2013-09-07 03:02:13 EDT
1. BuildRequires:  python-devel

---> BuildRequires:  python2-devel

Also missing BuildRequires:  python-setuptools

2. %description is too short, and no dot as ending.

Suggestion:

HappyBase is a developer-friendly Python library to interact with Apache HBase. HappyBase is designed for use in standard HBase setups, and offers application developers a Pythonic API to interact with HBase. Below the surface, HappyBase uses the Python Thrift library to connect to HBase using its Thrift gateway, which is included in the standard HBase 0.9x releases.

3. No dist tag in %release.

4. * Fri Sep 6 2013 Dan Prince - 0.6-1

Where is your email?
Comment 2 Christopher Meng 2013-11-09 02:55:54 EST
ping!
Comment 3 Christopher Meng 2014-07-28 22:22:38 EDT
0.8 is available.

If you don't need this package any more, just keep silent, I will close this review.

Note You need to log in before you can comment on or make changes to this bug.